Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://app.demand-iq.com/api/decks/{deckId}/branding \ --cookie session=
{ "branding": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "palette": { "primary": "#1a73e8", "primaryLight": "#4a9af5", "accent": "#fbbc04", "neutral": "#5f6368", "text": "#202124", "userMessage": "#1a73e8", "assistantMessage": "#f1f3f4" }, "cta": { "headline": "<string>", "body": "<string>", "buttonText": "<string>", "buttonUrl": "<string>" }, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "name": "<string>", "logo": "<string>", "avatar": "<string>", "chatName": "<string>", "chatGreeting": "<string>" } }
Session cookie obtained from POST /api/auth/login.
POST /api/auth/login
UUID of the deck
Branding configuration, or null if not yet set
Show child attributes